Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun Phoenix Contact-en Switch FL tresnan

Argitaratze-data: 2018/05/17

Garrantzia: Kritikoa

Kaltetutako baliabideak:

  • Switches FL 3xxx, 4xxx, 48xx ereduak, 1.0tik 1.33ra bitarteko firmware bertsioarekin.

Azalpena:

Positive Technologies enpresako Vyacheslav Moskvin, Semen Sokolov, Evgeniy Druzhinin, Georgy Zaytsev eta Ilya Karpov ikertzaileek mota hauetako hainbat ahultasun antzeman dituzte: bufferrak gainezka egitea, informazioa agerian geratzea eta Phoenix Contact-en FL switch kudeatuei eragiten dieten komandoen exekuzioa. Erasotzaile batek zerbitzuaren ukapen bat lor lezake, komandoen injekzioa burutu edo informazio sentikorra ikusi, ahultasun horiek baliatuta.

Konponbidea:

Firmwarea 1.34 bertsiora edo goragoko batera eguneratzea gomendatzen da, ahultasun horiek konpontzeko.

Phoenix Contact enpresak, gainera, kaltetutako bertsioetan switchen Web eragilea desgaitzeko gomendioa eman du, aldi baterako neurri moduan.

Xehetasuna:

  • Kaltetutako gailuetara konfigurazio fitxategiak edo firmware eguneratzeko baimenak bidaltzeko aukera duen erasotzaile batek CGI ?config_transfer.cgi? eta ?software_update.cgi? fitxategien eskaera konprobaketaren ahultasun bat baliatu lezake  sistema eragilearen komandoak exekutatu eta sareko zerbitzuaren ukapen bat lortzeko. Larritasun kritikoko ahultasun horretarako CVE-2018-10730 kodea erreserbatu da.
  • Erasotzaile batek bereziki diseinatutako ?cookie? bat bidal lezake bufferrak gainezka egitea eragiteko. Horrela, sistema eragileko fitxategietara baimenik gabe sar liteke eta fitxategiak sartu, urrutitik kodea exekutatu eta gailuaren segurtasun egoera konprometituta geratzeko. Larritasun kritikoko ahultasun horretarako CVE-2018-107228 kodea erreserbatu da.
  • Erasotzaile batek bereziki diseinatutako GET eskaerak bidal litzake, cookie, a ?menú_pxc.cgi? o ?index.cgi? eremua baliatuz, bufferrak gainezka egitea eraginez, eta Web edo Telnet zerbitzuak desgaituz zerbitzua ukatzeko, edo kodea urrutitik exekutatzeko. Larritasun kritikoko ahultasun horretarako CVE-2018-10731 kodea erreserbatu da.
Etiketak: Eguneratzea, Komunikazioak, Ahultasuna